Before you upgrade vRealize Automation, you must verify the age of the root passwords for the Identity Appliance, or other SSO appliance, and the vRealize Appliance.

About this task

If a root password is 365 days old or older, you must change the password before you run the upgrade. If a root password is 364 days old or newer, you can proceed with the upgrade.

Verify the age of the password.

Procedure

  1. Log in to the vRealize Appliance for the version that you want to upgrade with SSH, or log in to the virtual machine console by using the user name root and the password you specified when the appliance was deployed.
  2. Run the chage -l command.

    The output of the chage -l command appears. In this example, the date in the Last Change field is less than 364 days ago.

    Minimum: 0
    Maximum: 365
    Warning: 7
    Inactive: -1
    Last Change: Dec 29, 2014
    Password Expires: Dec 29, 2015
    Password Inactive: Never
    Account Expires: Never”
    
  3. Check the value in the Last Change field.
    • If the date reported in the Last Change field is less than 364 days ago you can proceed with the upgrade.

    • If the date reported in the Last Change field is more than 365 days ago you must change your password before running the upgrade.